[{"type":"group","fsPath":"ai-skills/ai-brand-management-rest-api","metadata":{"type":"openapi","title":"Brand Management API","version":"v1.0","description":"Use the Brand Management REST API to create a brand kit , retrieve all brand kits or a specific one including sections and subsections, and create or update the content of individual subsections. This REST API lets you interect with: The brand kit object. A brand kit is a structured resource that enables organizations to manage their brand across various channels, teams, and content types. It defines the brand's identity through guidelines, tone, messaging rules, and other defining traits. After creating a brand kit using the Brand Management REST API, you can use the Documents REST API to upload brand documents and the Pipeline REST API to initiate the brand ingestion process. Note the following: To use this REST API, you must authenticate your API requests. All API requests are made in your production environment. For more information, see the official Sitecore documentation . Authorization The Brand Management REST API uses the OAuth 2.0 standard with JSON web tokens to authorize REST API requests. Create Client ID and Client Secret In the Sitecore Cloud Portal, open Stream. Click Admin > AI APIs keys > Create credential . In the ​Create New Client​​ dialog, enter a name and description for the client. Then click Create . The ​Client ID and Client Secret​​ display. Copy the Client ID and Client Secret because you won't be able to view them again in Stream. You'll use them to request an access token. Request an access token Run the following cURL command to request an access token. Replace the placeholder values with your Client ID and Client Secret. curl -X POST 'https://auth.sitecorecloud.io/oauth/token' \\\n  --header 'Content-Type: application/x-www-form-urlencoded' \\\n  --data-urlencode 'client_id={YOUR_API_KEY}' \\\n  --data-urlencode 'client_secret={YOUR_API_SECRET}' \\\n  --data-urlencode 'grant_type=client_credentials' \\\n  --data-urlencode 'audience=https://api.sitecorecloud.io' In the response, the access_token key contains the access token: {\n    \"access_token\": \"{YOUR_ACCESS_TOKEN}\",\n    \"scope\": \"ai.org.brd:w ai.org.brd:r ai.org.docs:w ai.org.docs:r ai.org:admin\",\n    \"expires_in\": 86400,\n    \"token_type\": \"Bearer\"\n  } Access tokens expire in 24 hours. If your requests unexpectedly return a response with status 401 Unauthorized , request a new access token by repeating this POST request. We recommend that you cache the access token for 24 hours to avoid repeating this POST request while the access token is still valid. Include the access token in the request header You can now start making REST API requests. You must include the access token in the request header of every request. For example: curl -X GET '{YOUR_BASE_URL}/v2/...' \\\n-H 'Authorization: Bearer {YOUR_ACCESS_TOKEN}' \\\n-H 'Accept: application/json'","product":"AI skills"},"link":"/ai-skills/ai-brand-management-rest-api","routeSlug":"/ai-skills/ai-brand-management-rest-api","label":"Brand Management API","items":[{"type":"link","label":"Brand Management API","link":"/ai-skills/ai-brand-management-rest-api","routeSlug":"/ai-skills/ai-brand-management-rest-api"},{"type":"group","label":"Authorization","link":"/ai-skills/ai-brand-management-rest-api/section/authorization","routeSlug":"/ai-skills/ai-brand-management-rest-api/section/authorization","items":[{"type":"link","label":"Create Client ID and Client Secret","link":"/ai-skills/ai-brand-management-rest-api/section/authorization/create-client-id-and-client-secret","routeSlug":"/ai-skills/ai-brand-management-rest-api/section/authorization/create-client-id-and-client-secret"},{"type":"link","label":"Request an access token","link":"/ai-skills/ai-brand-management-rest-api/section/authorization/request-an-access-token","routeSlug":"/ai-skills/ai-brand-management-rest-api/section/authorization/request-an-access-token"},{"type":"link","label":"Include the access token in the request header","link":"/ai-skills/ai-brand-management-rest-api/section/authorization/include-the-access-token-in-the-request-header","routeSlug":"/ai-skills/ai-brand-management-rest-api/section/authorization/include-the-access-token-in-the-request-header"}]},{"type":"group","label":"Brand kit","link":"/ai-skills/ai-brand-management-rest-api/brand-kit","routeSlug":"/ai-skills/ai-brand-management-rest-api/brand-kit","items":[{"label":"List brand kits","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ai-skills/ai-brand-management-rest-api/brand-kit/list_brand_kits","routeSlug":"/ai-skills/ai-brand-management-rest-api/brand-kit/list_brand_kits","metadata":{"seo":{"title":"List brand kits","description":"Retrieves a list of brand kits in an organization. The response includes basic information about each brand kit, such as its name, description, industry, and status. The response does not include the actual content of the brand kit sections or subsections."}},"httpPath":"/api/brands/v1/organizations/{organizationId}/brandkits"},{"label":"Create a brand kit","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ai-skills/ai-brand-management-rest-api/brand-kit/create_brand_kit","routeSlug":"/ai-skills/ai-brand-management-rest-api/brand-kit/create_brand_kit","metadata":{"seo":{"title":"Create a brand kit","description":"Creates a new brand kit for an organization. The created brand kit includes predefined sections like Brand Context, Global Goals, Tone of Voice, and more, which are empty by default."}},"httpPath":"/api/brands/v1/organizations/{organizationId}/brandkits"},{"label":"Retrieve a brand kit","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ai-skills/ai-brand-management-rest-api/brand-kit/get_brand_kit","routeSlug":"/ai-skills/ai-brand-management-rest-api/brand-kit/get_brand_kit","metadata":{"seo":{"title":"Retrieve a brand kit","description":"Retrieves a specific brand kit by its ID. The response includes basic information about the brand kit, such as its name, description, industry, and status. The response does not include the actual content of the brand kit sections or subsections."}},"httpPath":"/api/brands/v1/organizations/{organizationId}/brandkits/{brandkitId}"},{"label":"List brand kit sections","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ai-skills/ai-brand-management-rest-api/brand-kit/list_brand_kit_sections","routeSlug":"/ai-skills/ai-brand-management-rest-api/brand-kit/list_brand_kit_sections","metadata":{"seo":{"title":"List brand kit sections","description":"Retrieves a list of sections in a brand kit. Each section contains information that define the brand's identity and guidelines, such as Brand Context, Global Goals, and Tone of Voice."}},"httpPath":"/api/brands/v1/organizations/{organizationId}/brandkits/{brandkitId}/sections"},{"label":"Create a brand kit subsection","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ai-skills/ai-brand-management-rest-api/brand-kit/create_brand_kit_section_field","routeSlug":"/ai-skills/ai-brand-management-rest-api/brand-kit/create_brand_kit_section_field","metadata":{"seo":{"title":"Create a brand kit subsection","description":"Creates a custom brand kit subsection (field). Each brand kit section contains predefined subsections. If a relevant guideline isn’t included by default, you can create a custom subsection to define it. For example, the Brand Context section has default subsections to define the brand's purpose, history, and more. To add a new subsection for Brand Values, you can use this endpoint to create it."}},"httpPath":"/api/brands/v2/organizations/{organizationId}/brandkits/{brandkitId}/sections/{sectionId}/fields"},{"label":"List brand kit subsections","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ai-skills/ai-brand-management-rest-api/brand-kit/list_brand_kit_section_fields","routeSlug":"/ai-skills/ai-brand-management-rest-api/brand-kit/list_brand_kit_section_fields","metadata":{"seo":{"title":"List brand kit subsections","description":"Retrieves a list of subsections (fields) in a specific brand kit section. Each subsection contains guidelines that define that section's content. For example, the Brand Context section has subsections to define the brand's purpose, history, and more."}},"httpPath":"/api/brands/v2/organizations/{organizationId}/brandkits/{brandkitId}/sections/{sectionId}/fields"},{"label":"List brand kit subsections with pagination","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ai-skills/ai-brand-management-rest-api/brand-kit/list_brand_kit_section_fields_v3","routeSlug":"/ai-skills/ai-brand-management-rest-api/brand-kit/list_brand_kit_section_fields_v3","metadata":{"seo":{"title":"List brand kit subsections with pagination","description":"Retrieves a paginated list of subsections (fields) in a specific brand kit section, including any associated reference data linked to those fields."}},"httpPath":"/api/brands/v3/organizations/{organizationId}/brandkits/{brandkitId}/sections/{sectionId}/fields"},{"label":"Partially update a brand kit subsection","deprecated":false,"httpVerb":"patch","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ai-skills/ai-brand-management-rest-api/brand-kit/update_brand_kit_section_field","routeSlug":"/ai-skills/ai-brand-management-rest-api/brand-kit/update_brand_kit_section_field","metadata":{"seo":{"title":"Partially update a brand kit subsection","description":"Partially updates a specific subsection (field) in a brand kit."}},"httpPath":"/api/brands/v2/organizations/{organizationId}/brandkits/{brandkitId}/sections/{sectionId}/fields/{fieldId}"}]}],"sidebar":[{"type":"link","label":"Brand Management API","link":"/ai-skills/ai-brand-management-rest-api","routeSlug":"/ai-skills/ai-brand-management-rest-api"}]},{"type":"group","fsPath":"ai-skills/ai-brand-review-admin-rest-api","metadata":{"type":"openapi","title":"Brand Review API","version":"v1","description":"Use the Brand Review REST API to evaluate input content and assets against brand guidelines using AI-powered analysis. The API analyzes content provided in the request, such as text, images, and files, by comparing it against brand kit sections for a specific tenant and organization. The analysis can evaluate content against all brand kit sections or selected sections, such as Brand Context , Global Goals , and Tone of Voice . SitecoreAI generates compliance scores, explanations, and improvement suggestions based on this analysis. Use this REST API to: Provide content in the request body for brand evaluation against brand kit guidelines. Assess how the input content aligns with specific brand kit sections and subsections (fields), including Brand Context , Do’s and Don’ts , Tone of Voice , Grammar Checklists , and Visual Guidelines . Receive a brand compliance score for the input content on a scale from 1 to 5, where 5 indicates the highest level of alignment with the brand guidelines. Evaluate multiple input formats, including text, images, PDFs, metadata, Markdown, and JSON. After a review is generated, teams can use the results to enforce brand consistency at scale, validate content in real time using AI-suggested improvements, and reduce compliance risk by identifying brand, legal, and accessibility issues. Compliance scores and explanations help pinpoint problem areas at the section or field level and reveal recurring trends across content. Note the following: Requests typically complete within 5 seconds. Batching is not supported. Multiple input formats are supported, including content from SitecoreAI or XP pages. To use this REST API, you must authenticate all API requests. All API requests are made in your production environment. For more information, see the official Sitecore documentation . Authorization The Brand Review REST API uses the OAuth 2.0 standard with JSON web tokens to authorize REST API requests. Create Client ID and Client Secret In the Sitecore Cloud Portal, open Stream. Click Admin > AI APIs keys > Create credential . In the ​Create New Client​​ dialog, enter a name and description for the client. Then click Create . The ​Client ID and Client Secret​​ display. Copy the Client ID and Client Secret because you won't be able to view them again in Stream. You'll use them to request an access token. Request an access token Run the following cURL command to request an access token. Replace the placeholder values with your Client ID and Client Secret. curl -X POST 'https://auth.sitecorecloud.io/oauth/token' \\\n  --header 'Content-Type: application/x-www-form-urlencoded' \\\n  --data-urlencode 'client_id={YOUR_API_KEY}' \\\n  --data-urlencode 'client_secret={YOUR_API_SECRET}' \\\n  --data-urlencode 'grant_type=client_credentials' \\\n  --data-urlencode 'audience=https://api.sitecorecloud.io' In the response, the access_token key contains the access token: {\n    \"access_token\": \"{YOUR_ACCESS_TOKEN}\",\n    \"scope\": \"ai.orgs.br:gen ai.org.brd:w ai.org.brd:r ai.org.docs:w ai.org.docs:r ai.org:admin\",\n    \"expires_in\": 86400,\n    \"token_type\": \"Bearer\"\n  } Access tokens expire in 24 hours. If your requests unexpectedly return a response with status 401 Unauthorized , request a new access token by repeating this POST request. We recommend that you cache the access token for 24 hours to avoid repeating this POST request while the access token is still valid. Include the access token in the request header You can now start making REST API requests. You must include the access token in the request header of every request. For example: curl -X GET '{YOUR_BASE_URL}/v2/...' \\\n-H 'Authorization: Bearer {YOUR_ACCESS_TOKEN}' \\\n-H 'Accept: application/json'","product":"AI skills"},"link":"/ai-skills/ai-brand-review-admin-rest-api","routeSlug":"/ai-skills/ai-brand-review-admin-rest-api","label":"Brand Review API","items":[{"type":"link","label":"Brand Review API","link":"/ai-skills/ai-brand-review-admin-rest-api","routeSlug":"/ai-skills/ai-brand-review-admin-rest-api"},{"type":"group","label":"Authorization","link":"/ai-skills/ai-brand-review-admin-rest-api/section/authorization","routeSlug":"/ai-skills/ai-brand-review-admin-rest-api/section/authorization","items":[{"type":"link","label":"Create Client ID and Client Secret","link":"/ai-skills/ai-brand-review-admin-rest-api/section/authorization/create-client-id-and-client-secret","routeSlug":"/ai-skills/ai-brand-review-admin-rest-api/section/authorization/create-client-id-and-client-secret"},{"type":"link","label":"Request an access token","link":"/ai-skills/ai-brand-review-admin-rest-api/section/authorization/request-an-access-token","routeSlug":"/ai-skills/ai-brand-review-admin-rest-api/section/authorization/request-an-access-token"},{"type":"link","label":"Include the access token in the request header","link":"/ai-skills/ai-brand-review-admin-rest-api/section/authorization/include-the-access-token-in-the-request-header","routeSlug":"/ai-skills/ai-brand-review-admin-rest-api/section/authorization/include-the-access-token-in-the-request-header"}]},{"type":"group","label":"Brand review","link":"/ai-skills/ai-brand-review-admin-rest-api/brand-review","routeSlug":"/ai-skills/ai-brand-review-admin-rest-api/brand-review","items":[{"label":"Generate a brand review","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ai-skills/ai-brand-review-admin-rest-api/brand-review/generate_brand_review_api_skills_v1_brandreview_generate_post","routeSlug":"/ai-skills/ai-brand-review-admin-rest-api/brand-review/generate_brand_review_api_skills_v1_brandreview_generate_post","metadata":{"seo":{"title":"Generate a brand review","description":"Generates a brand review using AI by evaluating the provided input against the specified brand kit, including its sections and subsections(fields). The review returns compliance scores, explanations, and improvement suggestions."}},"httpPath":"/api/skills/v1/brandreview/generate"}]}],"sidebar":[{"type":"link","label":"Brand Review API","link":"/ai-skills/ai-brand-review-admin-rest-api","routeSlug":"/ai-skills/ai-brand-review-admin-rest-api"}]},{"type":"group","fsPath":"ai-skills/ai-document-management-rest-api","metadata":{"type":"openapi","title":"Document Management API","version":"0.1.0","description":"Use the Document Management REST API to  upload documents to your organization's brand kit. You can also retrieve documents or delete them when needed. This REST API lets you interect with: The document object. A brand document serves as a source material for your organization's brand. These can include brand guidelines, tone of voice, or messaging frameworks. After uploading documents, you can use the Pipeline REST API to initiate the brand ingestion process. This enables Sitecore to analyze the uploaded documents, create a database of brand knowledge, and populate the brand kit's sections with relevant content. Note the following: To use this REST API, you must authenticate your API requests. All API requests are made in your production environment. For more information, see the official Sitecore documentation . Authorization The Document Management REST API uses the OAuth 2.0 standard with JSON web tokens to authorize REST API requests. Create Client ID and Client Secret In the Sitecore Cloud Portal, open Stream. Click Admin > AI APIs keys > Create credential . In the ​Create New Client​​ dialog, enter a name and description for the client. Then click Create . The ​Client ID and Client Secret​​ display. Copy the Client ID and Client Secret because you won't be able to view them again in Stream. You'll use them to request an access token. Request an access token Run the following cURL command to request an access token. Replace the placeholder values with your Client ID and Client Secret. curl -X POST 'https://auth.sitecorecloud.io/oauth/token' \\\n  --header 'Content-Type: application/x-www-form-urlencoded' \\\n  --data-urlencode 'client_id={YOUR_API_KEY}' \\\n  --data-urlencode 'client_secret={YOUR_API_SECRET}' \\\n  --data-urlencode 'grant_type=client_credentials' \\\n  --data-urlencode 'audience=https://api.sitecorecloud.io' In the response, the access_token key contains the access token: {\n    \"access_token\": \"{YOUR_ACCESS_TOKEN}\",\n    \"scope\": \"ai.org.brd:w ai.org.brd:r ai.org.docs:w ai.org.docs:r ai.org:admin\",\n    \"expires_in\": 86400,\n    \"token_type\": \"Bearer\"\n  } Access tokens expire in 24 hours. If your requests unexpectedly return a response with status 401 Unauthorized , request a new access token by repeating this POST request. We recommend that you cache the access token for 24 hours to avoid repeating this POST request while the access token is still valid. Include the access token in the request header You can now start making REST API requests. You must include the access token in the request header of every request. For example: curl -X GET '{YOUR_BASE_URL}/v2/...' \\\n-H 'Authorization: Bearer {YOUR_ACCESS_TOKEN}' \\\n-H 'Accept: application/json'","product":"AI skills"},"link":"/ai-skills/ai-document-management-rest-api","routeSlug":"/ai-skills/ai-document-management-rest-api","label":"Document Management API","items":[{"type":"link","label":"Document Management API","link":"/ai-skills/ai-document-management-rest-api","routeSlug":"/ai-skills/ai-document-management-rest-api"},{"type":"group","label":"Authorization","link":"/ai-skills/ai-document-management-rest-api/section/authorization","routeSlug":"/ai-skills/ai-document-management-rest-api/section/authorization","items":[{"type":"link","label":"Create Client ID and Client Secret","link":"/ai-skills/ai-document-management-rest-api/section/authorization/create-client-id-and-client-secret","routeSlug":"/ai-skills/ai-document-management-rest-api/section/authorization/create-client-id-and-client-secret"},{"type":"link","label":"Request an access token","link":"/ai-skills/ai-document-management-rest-api/section/authorization/request-an-access-token","routeSlug":"/ai-skills/ai-document-management-rest-api/section/authorization/request-an-access-token"},{"type":"link","label":"Include the access token in the request header","link":"/ai-skills/ai-document-management-rest-api/section/authorization/include-the-access-token-in-the-request-header","routeSlug":"/ai-skills/ai-document-management-rest-api/section/authorization/include-the-access-token-in-the-request-header"}]},{"type":"group","label":"Document","link":"/ai-skills/ai-document-management-rest-api/document","routeSlug":"/ai-skills/ai-document-management-rest-api/document","items":[{"label":"Create a document","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ai-skills/ai-document-management-rest-api/document/create_document_v2_api_documents_v2_organizations__organizationid__documents_post","routeSlug":"/ai-skills/ai-document-management-rest-api/document/create_document_v2_api_documents_v2_organizations__organizationid__documents_post","metadata":{"seo":{"title":"Create a document","description":"Uploads a new brand document and uses it as a source of brand information in the specified brand kit."}},"httpPath":"/api/documents/v2/organizations/{organizationId}/documents"},{"label":"List documents","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ai-skills/ai-document-management-rest-api/document/list_documents_v2_api_documents_v2_organizations__organizationid__documents_get","routeSlug":"/ai-skills/ai-document-management-rest-api/document/list_documents_v2_api_documents_v2_organizations__organizationid__documents_get","metadata":{"seo":{"title":"List documents","description":"Retrieves a list of documents in an organization. You can filter the results by various parameters, such as brand kit ID, status, type, and tags. This endpoint supports pagination and search functionality."}},"httpPath":"/api/documents/v2/organizations/{organizationId}/documents"},{"label":"Delete a document","deprecated":false,"httpVerb":"delete","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ai-skills/ai-document-management-rest-api/document/delete_document_api_documents_v1_organizations__organizationid__documents__documentid__delete","routeSlug":"/ai-skills/ai-document-management-rest-api/document/delete_document_api_documents_v1_organizations__organizationid__documents__documentid__delete","metadata":{"seo":{"title":"Delete a document","description":"Deletes a brand document from a brand kit by its reference ID. You can delete a brand document from your brand kit if it’s no longer needed or was uploaded by mistake. This is an irreversible operation. After you delete a document, you cannot retrieve the document or any related information extracted from it."}},"httpPath":"/api/documents/v1/organizations/{organizationId}/documents/{documentId}"}]}],"sidebar":[{"type":"link","label":"Document Management API","link":"/ai-skills/ai-document-management-rest-api","routeSlug":"/ai-skills/ai-document-management-rest-api"}]},{"type":"group","fsPath":"ai-skills/ai-pipeline-rest-api","metadata":{"type":"openapi","title":"Pipeline API","version":"0.1.0","description":"Use the Pipeline REST API to run the brand ingestion and enrichment processes: Brand ingestion analyzes documents uploaded to your brand kit using the Documents REST API . The system analyzes each document page by page, extracts brand information, and breaks it down into smaller pieces called knowledge chunks . These chunks are then organized, vectorized, and stored as your brand knowledge . Enrichment uses existing brand knowledge to automatically populate or update content in brand kit sections and subsections. You don’t need to reingest brand documents to enrich content. This REST API lets you interact with: The pipeline object. A pipeline is a structured process that performs a series of tasks automatically. In this context, pipelines are used to run the brand ingestion and enrichment processes. The resulting brand knowledge and enriched content are made available to Sitecore copilots and other AI agents enabling them to generate consistent, brand-aligned output. Note the following: To use this REST API, you must authenticate your API requests. All API requests are made in your production environment. For more information, see the official Sitecore documentation . Authorization The Pipeline REST API uses the OAuth 2.0 standard with JSON web tokens to authorize REST API requests. Create Client ID and Client Secret In the Sitecore Cloud Portal, open Stream. Click Admin > AI APIs keys > Create credential . In the ​Create New Client​​ dialog, enter a name and description for the client. Then click Create . The ​Client ID and Client Secret​​ display. Copy the Client ID and Client Secret because you won't be able to view them again in Stream. You'll use them to request an access token. Request an access token Run the following cURL command to request an access token. Replace the placeholder values with your Client ID and Client Secret. curl -X POST 'https://auth.sitecorecloud.io/oauth/token' \\\n  --header 'Content-Type: application/x-www-form-urlencoded' \\\n  --data-urlencode 'client_id={YOUR_API_KEY}' \\\n  --data-urlencode 'client_secret={YOUR_API_SECRET}' \\\n  --data-urlencode 'grant_type=client_credentials' \\\n  --data-urlencode 'audience=https://api.sitecorecloud.io' In the response, the access_token key contains the access token: {\n    \"access_token\": \"{YOUR_ACCESS_TOKEN}\",\n    \"scope\": \"ai.org.brd:w ai.org.brd:r ai.org.docs:w ai.org.docs:r ai.org:admin\",\n    \"expires_in\": 86400,\n    \"token_type\": \"Bearer\"\n  } Access tokens expire in 24 hours. If your requests unexpectedly return a response with status 401 Unauthorized , request a new access token by repeating this POST request. We recommend that you cache the access token for 24 hours to avoid repeating this POST request while the access token is still valid. Include the access token in the request header You can now start making REST API requests. You must include the access token in the request header of every request. For example: curl -X GET '{YOUR_BASE_URL}/v2/...' \\\n-H 'Authorization: Bearer {YOUR_ACCESS_TOKEN}' \\\n-H 'Accept: application/json'","product":"AI skills"},"link":"/ai-skills/ai-pipeline-rest-api","routeSlug":"/ai-skills/ai-pipeline-rest-api","label":"Pipeline API","items":[{"type":"link","label":"Pipeline API","link":"/ai-skills/ai-pipeline-rest-api","routeSlug":"/ai-skills/ai-pipeline-rest-api"},{"type":"group","label":"Authorization","link":"/ai-skills/ai-pipeline-rest-api/section/authorization","routeSlug":"/ai-skills/ai-pipeline-rest-api/section/authorization","items":[{"type":"link","label":"Create Client ID and Client Secret","link":"/ai-skills/ai-pipeline-rest-api/section/authorization/create-client-id-and-client-secret","routeSlug":"/ai-skills/ai-pipeline-rest-api/section/authorization/create-client-id-and-client-secret"},{"type":"link","label":"Request an access token","link":"/ai-skills/ai-pipeline-rest-api/section/authorization/request-an-access-token","routeSlug":"/ai-skills/ai-pipeline-rest-api/section/authorization/request-an-access-token"},{"type":"link","label":"Include the access token in the request header","link":"/ai-skills/ai-pipeline-rest-api/section/authorization/include-the-access-token-in-the-request-header","routeSlug":"/ai-skills/ai-pipeline-rest-api/section/authorization/include-the-access-token-in-the-request-header"}]},{"type":"group","label":"Pipeline","link":"/ai-skills/ai-pipeline-rest-api/pipeline","routeSlug":"/ai-skills/ai-pipeline-rest-api/pipeline","items":[{"label":"Create a pipeline run for brand ingestion","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ai-skills/ai-pipeline-rest-api/pipeline/create_pipeline_run_brand_ingestion_api_data_v1_organizations__organizationid__pipeline_brandingestionpipeline_post","routeSlug":"/ai-skills/ai-pipeline-rest-api/pipeline/create_pipeline_run_brand_ingestion_api_data_v1_organizations__organizationid__pipeline_brandingestionpipeline_post","metadata":{"seo":{"title":"Create a pipeline run for brand ingestion","description":"Creates a new pipeline to run the brand ingestion process. Through this process, brand documents uploaded to a brand kit are processed, analyzed, and chunked into knowledge pieces to create brand knowledge."}},"httpPath":"/api/data/v1/organizations/{organizationId}/pipeline/BrandIngestionPipeline"},{"label":"Create a pipeline run for enrichment","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ai-skills/ai-pipeline-rest-api/pipeline/create_pipeline_run_enrich_sections_api_data_v1_organizations__organizationid__pipeline_enrichsectionspipeline_post","routeSlug":"/ai-skills/ai-pipeline-rest-api/pipeline/create_pipeline_run_enrich_sections_api_data_v1_organizations__organizationid__pipeline_enrichsectionspipeline_post","metadata":{"seo":{"title":"Create a pipeline run for enrichment","description":"Creates a new pipeline to run the enrichment process. This pipeline automatically retrieves information from your existing brand knowledge to generate or update the content of your brand kit sections and subsections."}},"httpPath":"/api/data/v1/organizations/{organizationId}/pipeline/EnrichSectionsPipeline"}]}],"sidebar":[{"type":"link","label":"Pipeline API","link":"/ai-skills/ai-pipeline-rest-api","routeSlug":"/ai-skills/ai-pipeline-rest-api"}]},{"type":"group","fsPath":"cdp/audience-export-rest-api","metadata":{"type":"openapi","title":"Audience export API","version":"v2","description":"Use the Audience export REST API to access the output of an audience export job. After an export job finishes running, its output becomes available at presigned URLs. You can download the output of the export job by opening the URLs. The output is available for 35 days after creation. You can access output URLs in two ways: Retrieve the output URLs for the most recently finished export job. First retrieve a list of all finished export jobs of the export, then retrieve the output URLs for any finished export job of your choice. Note the following: To use this REST API, you must authorize your API requests. All API requests are made in your production environment. For more information, see the official Sitecore CDP developer documentation . Authorization The Audience export REST API uses the OAuth 2.0 standard with JSON web tokens to authorize REST API requests. Create an API key In the Sitecore Cloud Portal, open Sitecore CDP. Click Developer center > API keys > Create . Name your API key and select a feature. Then, click Save . The API key and the API secret display. Copy the API key and the API secret because you won't be able to view them again in Sitecore CDP. You'll use them to request an access token. Request an access token Run the following cURL command to request an access token. Replace the placeholder values with your API key and API secret. curl -X POST 'https://auth.sitecorecloud.io/oauth/token' \\\n  --header 'Content-Type: application/x-www-form-urlencoded' \\\n  --data-urlencode 'client_id={YOUR_API_KEY}' \\\n  --data-urlencode 'client_secret={YOUR_API_SECRET}' \\\n  --data-urlencode 'grant_type=client_credentials' \\\n  --data-urlencode 'audience=https://api.sitecorecloud.io' In the response, the access_token key contains the access token: {\n    \"access_token\": \"{YOUR_ACCESS_TOKEN}\",\n    \"scope\": \"cdp.audience_exports:r\",\n    \"expires_in\": 86400,\n    \"token_type\": \"Bearer\"\n  } Access tokens expire in 24 hours. If your requests unexpectedly return a response with status 401 Unauthorized , request a new access token by repeating this POST request. We recommend that you cache the access token for 24 hours to avoid repeating this POST request while the access token is still valid. Include the access token in the request header You can now start making REST API requests. You must include the access token in the request header of every request. For example: curl -X GET '{YOUR_BASE_URL}/v2/...' \\\n-H 'Authorization: Bearer {YOUR_ACCESS_TOKEN}' \\\n-H 'Accept: application/json'","product":"CDP"},"link":"/cdp/audience-export-rest-api","routeSlug":"/cdp/audience-export-rest-api","label":"Audience export API","items":[{"type":"link","label":"Audience export API","link":"/cdp/audience-export-rest-api","routeSlug":"/cdp/audience-export-rest-api"},{"type":"group","label":"Authorization","link":"/cdp/audience-export-rest-api/section/authorization","routeSlug":"/cdp/audience-export-rest-api/section/authorization","items":[{"type":"link","label":"Create an API key","link":"/cdp/audience-export-rest-api/section/authorization/create-an-api-key","routeSlug":"/cdp/audience-export-rest-api/section/authorization/create-an-api-key"},{"type":"link","label":"Request an access token","link":"/cdp/audience-export-rest-api/section/authorization/request-an-access-token","routeSlug":"/cdp/audience-export-rest-api/section/authorization/request-an-access-token"},{"type":"link","label":"Include the access token in the request header","link":"/cdp/audience-export-rest-api/section/authorization/include-the-access-token-in-the-request-header","routeSlug":"/cdp/audience-export-rest-api/section/authorization/include-the-access-token-in-the-request-header"}]},{"type":"group","label":"Most recent export job","link":"/cdp/audience-export-rest-api/most-recent-export-job","routeSlug":"/cdp/audience-export-rest-api/most-recent-export-job","items":[{"label":"Retrieve output URLs for the most recent export job","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/audience-export-rest-api/most-recent-export-job/retrieveurlsofmostrecentexportjob","routeSlug":"/cdp/audience-export-rest-api/most-recent-export-job/retrieveurlsofmostrecentexportjob","metadata":{"seo":{"title":"Retrieve output URLs for the most recent export job","description":"Retrieves the presigned URLs where you can download the outputs of the most recently finished export job."}},"httpPath":"/v2/audienceExports/definitions/{audienceExportRef}/latestExport"}]},{"type":"group","label":"Any export job","link":"/cdp/audience-export-rest-api/any-export-job","routeSlug":"/cdp/audience-export-rest-api/any-export-job","items":[{"label":"Retrieve a list of all finished export jobs","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/audience-export-rest-api/any-export-job/retrievefinishedexportjobs","routeSlug":"/cdp/audience-export-rest-api/any-export-job/retrievefinishedexportjobs","metadata":{"seo":{"title":"Retrieve a list of all finished export jobs","description":"Retrieves a list of all finished export jobs of an audience export."}},"httpPath":"/v2/audienceExports/definitions/{audienceExportRef}/reports"},{"label":"Retrieve output URLs for a specific export job","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/audience-export-rest-api/any-export-job/retrieveurlsofspecificexportjob","routeSlug":"/cdp/audience-export-rest-api/any-export-job/retrieveurlsofspecificexportjob","metadata":{"seo":{"title":"Retrieve output URLs for a specific export job","description":"Retrieves the presigned URLs where you can download the outputs of the export job of your choice."}},"httpPath":"/v2/audienceExports/executions/{jobExecutionRef}/export"}]}],"sidebar":[{"type":"link","label":"Audience export API","link":"/cdp/audience-export-rest-api","routeSlug":"/cdp/audience-export-rest-api"}]},{"type":"group","fsPath":"cdp/guest-rest-api","metadata":{"type":"openapi","title":"Guest API","version":"v2.1","description":"Use the Guest REST API to create, retrieve, update, and delete guest data in Sitecore CDP. This REST API lets you interact with: The guest object. The guest object is the core entity of Sitecore CDP. It stores the personal data of a customer, and all relevant transactional and behavioral data is linked in a guest profile. The guest data extension object. A guest data extension is an object that lets you specify any key-value pairs you want. Guest data extensions are optional and enable your organization to capture more robust information about your guests. After capturing guest information, Sitecore CDP users can: View the captured data in the guest profile . Use the captured data to build segments of guests . Export audience data to activate audiences outside Sitecore CDP. Note the following: To use this REST API, you must authenticate your API requests. All API requests are made in your production environment. This reference documentation describes Sitecore CDP functionality for data model 2.1. For more information, see the official Sitecore CDP developer documentation . Authentication The Guest REST API uses basic authentication.  Basic authentication involves sending a user name and a password with every request.  To find your user name and password, in Sitecore CDP, on the navigation pane, click Settings > API access : The user name is the Client key . The password is the API token .  You must include the user name and password in every request you make. For example: curl -X GET '{baseURL}/v2/guests' \\  \n-u '{YOUR_USERNAME}:{YOUR_PASSWORD}' \\  \n-H 'Accept: application/json'","product":"CDP"},"link":"/cdp/guest-rest-api","routeSlug":"/cdp/guest-rest-api","label":"Guest API","items":[{"type":"link","label":"Guest API","link":"/cdp/guest-rest-api","routeSlug":"/cdp/guest-rest-api"},{"type":"link","label":"Authentication","link":"/cdp/guest-rest-api/section/authentication","routeSlug":"/cdp/guest-rest-api/section/authentication"},{"type":"group","label":"Guest","link":"/cdp/guest-rest-api/guest","routeSlug":"/cdp/guest-rest-api/guest","items":[{"label":"Create a guest","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/guest-rest-api/guest/createguest","routeSlug":"/cdp/guest-rest-api/guest/createguest","metadata":{"seo":{"title":"Create a guest","description":"Creates a guest.The REST API does not check whether a guest already exists in Sitecore CDP when you create a guest. To avoid creating duplicates, first retrieve guests by their email address or other identifying information."}},"httpPath":"/v2.1/guests"},{"label":"Retrieve guests","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/guest-rest-api/guest/retrieveguests","routeSlug":"/cdp/guest-rest-api/guest/retrieveguests","metadata":{"seo":{"title":"Retrieve guests","description":"Retrieves a maximum of 100 of the most recent guests. We recommend that you retrieve guests by their email address or other identifying information using query parameters before you create a guest. This lets you check if a certain guest already exists in Sitecore CDP. If the guest exists, avoid creating duplicates. Instead, update the existing guest."}},"httpPath":"/v2.1/guests"},{"label":"Retrieve a guest","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/guest-rest-api/guest/retrieveguest","routeSlug":"/cdp/guest-rest-api/guest/retrieveguest","metadata":{"seo":{"title":"Retrieve a guest","description":"Retrieves the full guest record of a guest, including any guest data extensions."}},"httpPath":"/v2.1/guests/{guestRef}"},{"label":"Update a guest","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/guest-rest-api/guest/putguest","routeSlug":"/cdp/guest-rest-api/guest/putguest","metadata":{"seo":{"title":"Update a guest","description":"Fully updates a guest, replacing the entire resource including all the key-value pairs with the data you send in the request."}},"httpPath":"/v2.1/guests/{guestRef}"},{"label":"Partially update a guest","deprecated":false,"httpVerb":"patch","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/guest-rest-api/guest/updateguests","routeSlug":"/cdp/guest-rest-api/guest/updateguests","metadata":{"seo":{"title":"Partially update a guest","description":"Partially updates a guest, replacing only those fields in the resource that you provide in the request."}},"httpPath":"/v2.1/guests/{guestRef}"},{"label":"Delete a guest","deprecated":false,"httpVerb":"delete","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/guest-rest-api/guest/deleteguest","routeSlug":"/cdp/guest-rest-api/guest/deleteguest","metadata":{"seo":{"title":"Delete a guest","description":"Deletes a guest record and all entities associated with the guestincluding orders, sessions, and events. This is an irreversibleoperation. After you delete a guest record, you cannot retrieve theguest record or any related entities."}},"httpPath":"/v2.1/guests/{guestRef}"}]},{"type":"group","label":"Guest data extension","link":"/cdp/guest-rest-api/guest-data-extension","routeSlug":"/cdp/guest-rest-api/guest-data-extension","items":[{"label":"Create a data extension","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/guest-rest-api/guest-data-extension/createguestdataextension","routeSlug":"/cdp/guest-rest-api/guest-data-extension/createguestdataextension","metadata":{"seo":{"title":"Create a data extension","description":"Creates a data extension for a guest. You can create up to six data extensions."}},"httpPath":"/v2.1/guests/{guestRef}/extensions"},{"label":"Retrieve a guest's collection of data extensions","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/guest-rest-api/guest-data-extension/retrieveguestdataextensions","routeSlug":"/cdp/guest-rest-api/guest-data-extension/retrieveguestdataextensions","metadata":{"seo":{"title":"Retrieve a guest's collection of data extensions","description":"Retrieves the URLs for each of the guest's data extensions."}},"httpPath":"/v2.1/guests/{guestRef}/extensions"},{"label":"Retrieve a data extension","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/guest-rest-api/guest-data-extension/retrieveguestdataextension","routeSlug":"/cdp/guest-rest-api/guest-data-extension/retrieveguestdataextension","metadata":{"seo":{"title":"Retrieve a data extension","description":"Retrieves a data extension for a guest."}},"httpPath":"/v2.1/guests/{guestRef}/extensions/{dataExtensionName}"},{"label":"Update a data extension","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/guest-rest-api/guest-data-extension/putguestdataextension","routeSlug":"/cdp/guest-rest-api/guest-data-extension/putguestdataextension","metadata":{"seo":{"title":"Update a data extension","description":"Fully updates a data extension for a guest, replacing the entire resource including all the key-value pairs with the data you send in the request."}},"httpPath":"/v2.1/guests/{guestRef}/extensions/{dataExtensionName}"},{"label":"Partially update a data extension","deprecated":false,"httpVerb":"patch","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/guest-rest-api/guest-data-extension/updateguestdataextension","routeSlug":"/cdp/guest-rest-api/guest-data-extension/updateguestdataextension","metadata":{"seo":{"title":"Partially update a data extension","description":"Partially updates a data extension for a guest, replacing only those key-value pairs in the resource that you provide in the request."}},"httpPath":"/v2.1/guests/{guestRef}/extensions/{dataExtensionName}"},{"label":"Delete a data extension","deprecated":false,"httpVerb":"delete","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/guest-rest-api/guest-data-extension/deleteguestdataextension","routeSlug":"/cdp/guest-rest-api/guest-data-extension/deleteguestdataextension","metadata":{"seo":{"title":"Delete a data extension","description":"Deletes the data extension for a guest, including all the key-value pairs in the data extension."}},"httpPath":"/v2.1/guests/{guestRef}/extensions/{dataExtensionName}"},{"label":"Delete key-value pairs from a data extension","deprecated":false,"httpVerb":"delete","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/guest-rest-api/guest-data-extension/deleteguestdataextensionfields","routeSlug":"/cdp/guest-rest-api/guest-data-extension/deleteguestdataextensionfields","metadata":{"seo":{"title":"Delete key-value pairs from a data extension","description":"Deletes the key-value pairs you provide in the name query parameter from a data extension for a guest."}},"httpPath":"/v2.1/guests/{guestRef}/extensions/{dataExtensionName}/fields"}]}],"sidebar":[{"type":"link","label":"Guest API","link":"/cdp/guest-rest-api","routeSlug":"/cdp/guest-rest-api"}]},{"type":"group","fsPath":"cdp/order-rest-api","metadata":{"type":"openapi","title":"Order API","version":"v2.1","description":"Use the Order REST API to create, retrieve, update, and delete order data in Sitecore CDP. This REST API lets you interact with the following objects: Order - the parent for all other objects, containing attributes common to the entire order. Order item - something that has been purchased as part of the order. Order contact - the primary contact person for an order. Order consumer - the person that consumes the order item. Order data extension - any key-value pairs you want to add to the order object. Order item data extension - any key-value pairs you want to add to the order item object. Note the following: To use this REST API, you must authenticate your API requests. All API requests are made in your production environment. This reference documentation describes Sitecore CDP functionality for data model 2.1. For more information, see the official Sitecore CDP developer documentation , including examples of order items and order item data extensions. Authentication The Order REST API uses basic authentication.  Basic authentication involves sending a user name and a password with every request.  To find your user name and password, in Sitecore CDP, on the navigation pane, click Settings > API access : The user name is the Client key . The password is the API token . You must include the user name and password in every request you make. For example: curl -X GET '{baseURL}/v2.1/orders' \\ \n-u '{YOUR_USERNAME}:{YOUR_PASSWORD}' \\ \n-H 'Accept: application/json' Get started To create your first order and find it in Sitecore CDP: Create an order. The response contains the order reference. Create an order contact using the order reference. Make sure to provide enough identity information according to your organization's identity rules .  This associates a guest with the order. In the response, in guest.href , the guest reference is the string that follows the final slash. Copy the guest reference. In Sitecore CDP, click Guests . In the Search field, enter the guest reference, then click the Guest type: All filter. Then, Sitecore CDP lists the guest profile for the guest. On the Guest Profile page, click the Orders tab. The order you previously created displays.","product":"CDP"},"link":"/cdp/order-rest-api","routeSlug":"/cdp/order-rest-api","label":"Order API","items":[{"type":"link","label":"Order API","link":"/cdp/order-rest-api","routeSlug":"/cdp/order-rest-api"},{"type":"link","label":"Authentication","link":"/cdp/order-rest-api/section/authentication","routeSlug":"/cdp/order-rest-api/section/authentication"},{"type":"link","label":"Get started","link":"/cdp/order-rest-api/section/get-started","routeSlug":"/cdp/order-rest-api/section/get-started"},{"type":"group","label":"Order","link":"/cdp/order-rest-api/order","routeSlug":"/cdp/order-rest-api/order","items":[{"label":"Create an order","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/order-rest-api/order/createorder","routeSlug":"/cdp/order-rest-api/order/createorder","metadata":{"seo":{"title":"Create an order","description":"Creates an order."}},"httpPath":"/v2.1/orders"},{"label":"List orders","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/order-rest-api/order/retrieveorders","routeSlug":"/cdp/order-rest-api/order/retrieveorders","metadata":{"seo":{"title":"List orders","description":"Retrieves a list of orders that either have the same reference ID or belong to the same guest. You must include either the referenceId of the order or the guestRef as a query string parameter in the URI of the request, but not both."}},"httpPath":"/v2.1/orders"},{"label":"Retrieve an order","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/order-rest-api/order/retrieveorder","routeSlug":"/cdp/order-rest-api/order/retrieveorder","metadata":{"seo":{"title":"Retrieve an order","description":"Retrieves an order."}},"httpPath":"/v2.1/orders/{orderRef}"},{"label":"Update an order","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/order-rest-api/order/updateorder","routeSlug":"/cdp/order-rest-api/order/updateorder","metadata":{"seo":{"title":"Update an order","description":"Updates an order. You can update orders that have the same referenceId and have orderedAt values (purchase dates) within two days of another. referenceId and orderedAt cannot be updated."}},"httpPath":"/v2.1/orders/{orderRef}"},{"label":"Partially update an order","deprecated":false,"httpVerb":"patch","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/order-rest-api/order/updateorder_1","routeSlug":"/cdp/order-rest-api/order/updateorder_1","metadata":{"seo":{"title":"Partially update an order","description":"Partially updates an order. You can update orders that have the same referenceId and have orderedAt values (purchase dates) within two days of another. referenceId and orderedAt cannot be updated."}},"httpPath":"/v2.1/orders/{orderRef}"},{"label":"Delete an order","deprecated":false,"httpVerb":"delete","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/order-rest-api/order/deleteorder_1","routeSlug":"/cdp/order-rest-api/order/deleteorder_1","metadata":{"seo":{"title":"Delete an order","description":"Deletes an order. An empty, 204 No Content response means that the deletion was successful."}},"httpPath":"/v2.1/orders/{orderRef}"}]},{"type":"group","label":"Order item","link":"/cdp/order-rest-api/order-item","routeSlug":"/cdp/order-rest-api/order-item","items":[{"label":"Create an order item","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/order-rest-api/order-item/createorderitem","routeSlug":"/cdp/order-rest-api/order-item/createorderitem","metadata":{"seo":{"title":"Create an order item","description":"Creates an order item on an order."}},"httpPath":"/v2.1/orders/{orderRef}/orderItems"},{"label":"List order items for an order","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/order-rest-api/order-item/retrieveorderitems_1","routeSlug":"/cdp/order-rest-api/order-item/retrieveorderitems_1","metadata":{"seo":{"title":"List order items for an order","description":"Retrieves a list of order items for an order."}},"httpPath":"/v2.1/orders/{orderRef}/orderItems"},{"label":"Retrieve an order item","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/order-rest-api/order-item/retrieveorderitem","routeSlug":"/cdp/order-rest-api/order-item/retrieveorderitem","metadata":{"seo":{"title":"Retrieve an order item","description":"Retrieves an order item."}},"httpPath":"/v2.1/orderItems/{orderItemRef}"},{"label":"Update an order item","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/order-rest-api/order-item/updatesorderitem","routeSlug":"/cdp/order-rest-api/order-item/updatesorderitem","metadata":{"seo":{"title":"Update an order item","description":"Updates an order item."}},"httpPath":"/v2.1/orderItems/{orderItemRef}"},{"label":"Partially update an order item","deprecated":false,"httpVerb":"patch","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/order-rest-api/order-item/partiallyupdatesorderitem","routeSlug":"/cdp/order-rest-api/order-item/partiallyupdatesorderitem","metadata":{"seo":{"title":"Partially update an order item","description":"Partially updates an order item."}},"httpPath":"/v2.1/orderItems/{orderItemRef}"},{"label":"Delete an order item","deprecated":false,"httpVerb":"delete","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/order-rest-api/order-item/deleteorderitem","routeSlug":"/cdp/order-rest-api/order-item/deleteorderitem","metadata":{"seo":{"title":"Delete an order item","description":"Deletes an order item."}},"httpPath":"/v2.1/orderItems/{orderItemRef}"}]},{"type":"group","label":"Order contact","link":"/cdp/order-rest-api/order-contact","routeSlug":"/cdp/order-rest-api/order-contact","items":[{"label":"Create an order contact","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/order-rest-api/order-contact/createordercontact","routeSlug":"/cdp/order-rest-api/order-contact/createordercontact","metadata":{"seo":{"title":"Create an order contact","description":"Creates the primary contact on an order.In identifiers, make sure to provide enough identity information according to your organization's identity rules."}},"httpPath":"/v2.1/orders/{orderRef}/contacts"},{"label":"List order contacts for an order","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/order-rest-api/order-contact/retrieveordercontacts","routeSlug":"/cdp/order-rest-api/order-contact/retrieveordercontacts","metadata":{"seo":{"title":"List order contacts for an order","description":"Retrieves a list of order contacts for an order."}},"httpPath":"/v2.1/orders/{orderRef}/contacts"},{"label":"Retrieve an order contact","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/order-rest-api/order-contact/retrievesordercontact","routeSlug":"/cdp/order-rest-api/order-contact/retrievesordercontact","metadata":{"seo":{"title":"Retrieve an order contact","description":"Retrieves an order contact."}},"httpPath":"/v2.1/orderContacts/{orderContactRef}"},{"label":"Update an order contact","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/order-rest-api/order-contact/updateordercontact","routeSlug":"/cdp/order-rest-api/order-contact/updateordercontact","metadata":{"seo":{"title":"Update an order contact","description":"Updates an order contact."}},"httpPath":"/v2.1/orderContacts/{orderContactRef}"},{"label":"Partially update an order contact","deprecated":false,"httpVerb":"patch","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/order-rest-api/order-contact/partiallyupdateordercontact_1","routeSlug":"/cdp/order-rest-api/order-contact/partiallyupdateordercontact_1","metadata":{"seo":{"title":"Partially update an order contact","description":"Partially updates an order contact."}},"httpPath":"/v2.1/orderContacts/{orderContactRef}"},{"label":"Delete an order contact","deprecated":false,"httpVerb":"delete","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/order-rest-api/order-contact/partiallyupdateordercontact","routeSlug":"/cdp/order-rest-api/order-contact/partiallyupdateordercontact","metadata":{"seo":{"title":"Delete an order contact","description":"Partially updates an order contact."}},"httpPath":"/v2.1/orderContacts/{orderContactRef}"}]},{"type":"group","label":"Order consumer","link":"/cdp/order-rest-api/order-consumer","routeSlug":"/cdp/order-rest-api/order-consumer","items":[{"label":"Create an order consumer","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/order-rest-api/order-consumer/createorderconsumer","routeSlug":"/cdp/order-rest-api/order-consumer/createorderconsumer","metadata":{"seo":{"title":"Create an order consumer","description":"Creates a consumer on an order.In identifiers, make sure to provide enough identity information according to your organization's identity rules."}},"httpPath":"/v2.1/orders/{orderRef}/consumers"},{"label":"List consumers of an order","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/order-rest-api/order-consumer/retrieveorderconsumers","routeSlug":"/cdp/order-rest-api/order-consumer/retrieveorderconsumers","metadata":{"seo":{"title":"List consumers of an order","description":"Retrieves a list of order consumers for an order."}},"httpPath":"/v2.1/orders/{orderRef}/consumers"},{"label":"Retrieve an order consumer","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/order-rest-api/order-consumer/retrieveorderconsumer","routeSlug":"/cdp/order-rest-api/order-consumer/retrieveorderconsumer","metadata":{"seo":{"title":"Retrieve an order consumer","description":"Retrieves an order consumer."}},"httpPath":"/v2.1/orderConsumers/{orderConsumerRef}"},{"label":"Update an order consumer","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/order-rest-api/order-consumer/updateorderconsumer","routeSlug":"/cdp/order-rest-api/order-consumer/updateorderconsumer","metadata":{"seo":{"title":"Update an order consumer","description":"Updates an order consumer."}},"httpPath":"/v2.1/orderConsumers/{orderConsumerRef}"},{"label":"Partially update an order consumer","deprecated":false,"httpVerb":"patch","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/order-rest-api/order-consumer/partiallyupdateordeconsumer","routeSlug":"/cdp/order-rest-api/order-consumer/partiallyupdateordeconsumer","metadata":{"seo":{"title":"Partially update an order consumer","description":"Partially updates an order consumer."}},"httpPath":"/v2.1/orderConsumers/{orderConsumerRef}"},{"label":"Delete an order consumer","deprecated":false,"httpVerb":"delete","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/order-rest-api/order-consumer/deleteorder","routeSlug":"/cdp/order-rest-api/order-consumer/deleteorder","metadata":{"seo":{"title":"Delete an order consumer","description":"Delete an order consumer. An empty, 204 response means that the deletion was successful."}},"httpPath":"/v2.1/orderConsumers/{orderConsumerRef}"},{"label":"List a consumer's order items","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/order-rest-api/order-consumer/retrieveorderitems","routeSlug":"/cdp/order-rest-api/order-consumer/retrieveorderitems","metadata":{"seo":{"title":"List a consumer's order items","description":"Retrieves order items for a consumer."}},"httpPath":"/v2.1/orderConsumers/{orderConsumerRef}/orderItems"}]},{"type":"group","label":"Order data extension","link":"/cdp/order-rest-api/order-data-extension","routeSlug":"/cdp/order-rest-api/order-data-extension","items":[{"label":"Create an order data extension","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/order-rest-api/order-data-extension/createorderdataextension","routeSlug":"/cdp/order-rest-api/order-data-extension/createorderdataextension","metadata":{"seo":{"title":"Create an order data extension","description":"Creates an order data extension."}},"httpPath":"/v2.1/orders/{orderRef}/extensions/{dataExtensionName}"},{"label":"Retrieve an order data extension","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/order-rest-api/order-data-extension/retrieveorderdataextension","routeSlug":"/cdp/order-rest-api/order-data-extension/retrieveorderdataextension","metadata":{"seo":{"title":"Retrieve an order data extension","description":"Retrieves a data extension for an order."}},"httpPath":"/v2.1/orders/{orderRef}/extensions/{dataExtensionName}"},{"label":"Update an order data extension","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/order-rest-api/order-data-extension/putorderdataextension","routeSlug":"/cdp/order-rest-api/order-data-extension/putorderdataextension","metadata":{"seo":{"title":"Update an order data extension","description":"Fully updates a data extension for an order, replacing the entire resource including all the key-value pairs with the data you send in the request."}},"httpPath":"/v2.1/orders/{orderRef}/extensions/{dataExtensionName}"},{"label":"Partially update an order data extension","deprecated":false,"httpVerb":"patch","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/order-rest-api/order-data-extension/updateorderdataextension","routeSlug":"/cdp/order-rest-api/order-data-extension/updateorderdataextension","metadata":{"seo":{"title":"Partially update an order data extension","description":"Partially updates a data extension for an order, replacing only those key-value pairs in the resource that you provide in the request."}},"httpPath":"/v2.1/orders/{orderRef}/extensions/{dataExtensionName}"},{"label":"Delete an order data extension","deprecated":false,"httpVerb":"delete","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/order-rest-api/order-data-extension/deleteorderdataextension","routeSlug":"/cdp/order-rest-api/order-data-extension/deleteorderdataextension","metadata":{"seo":{"title":"Delete an order data extension","description":"Deletes the data extension for an order, including all the key-value pairs in the data extension."}},"httpPath":"/v2.1/orders/{orderRef}/extensions/{dataExtensionName}"},{"label":"Delete key-value pairs from an order data extension","deprecated":false,"httpVerb":"delete","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/order-rest-api/order-data-extension/deleteorderdataextensionfields","routeSlug":"/cdp/order-rest-api/order-data-extension/deleteorderdataextensionfields","metadata":{"seo":{"title":"Delete key-value pairs from an order data extension","description":"Deletes the key-value pairs you provide in the name query parameter from a data extension for an order."}},"httpPath":"/v2.1/orders/{orderRef}/extensions/{dataExtensionName}/fields"},{"label":"Retrieve the URL for an order's data extension","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/order-rest-api/order-data-extension/retrieveorderdataextensions","routeSlug":"/cdp/order-rest-api/order-data-extension/retrieveorderdataextensions","metadata":{"seo":{"title":"Retrieve the URL for an order's data extension","description":"Retrieves the URL for the order's data extension. This lets you check if the data extension exists."}},"httpPath":"/v2.1/orders/{orderRef}/extensions"}]},{"type":"group","label":"Order item data extension","link":"/cdp/order-rest-api/order-item-data-extension","routeSlug":"/cdp/order-rest-api/order-item-data-extension","items":[{"label":"Create an order item data extension","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/order-rest-api/order-item-data-extension/createorderitemdataextension","routeSlug":"/cdp/order-rest-api/order-item-data-extension/createorderitemdataextension","metadata":{"seo":{"title":"Create an order item data extension","description":"Creates an order item data extension."}},"httpPath":"/v2.1/orderItems/{orderItemRef}/extensions/{dataExtensionName}"},{"label":"Retrieve an order item data extension","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/order-rest-api/order-item-data-extension/retrieveorderitemdataextension","routeSlug":"/cdp/order-rest-api/order-item-data-extension/retrieveorderitemdataextension","metadata":{"seo":{"title":"Retrieve an order item data extension","description":"Retrieves a data extension for an order item."}},"httpPath":"/v2.1/orderItems/{orderItemRef}/extensions/{dataExtensionName}"},{"label":"Update an order item data extension","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/order-rest-api/order-item-data-extension/putorderitemdataextension","routeSlug":"/cdp/order-rest-api/order-item-data-extension/putorderitemdataextension","metadata":{"seo":{"title":"Update an order item data extension","description":"Fully updates a data extension for an order item, replacing the entire resource including all the key-value pairs with the data you send in the request."}},"httpPath":"/v2.1/orderItems/{orderItemRef}/extensions/{dataExtensionName}"},{"label":"Partially update an order item data extension","deprecated":false,"httpVerb":"patch","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/order-rest-api/order-item-data-extension/updateorderitemdataextension_1","routeSlug":"/cdp/order-rest-api/order-item-data-extension/updateorderitemdataextension_1","metadata":{"seo":{"title":"Partially update an order item data extension","description":"Partially updates a data extension for an order, replacing only those key-value pairs in the resource that you provide in the request."}},"httpPath":"/v2.1/orderItems/{orderItemRef}/extensions/{dataExtensionName}"},{"label":"Delete an order item data extension","deprecated":false,"httpVerb":"delete","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/order-rest-api/order-item-data-extension/deleteorderitemdataextension","routeSlug":"/cdp/order-rest-api/order-item-data-extension/deleteorderitemdataextension","metadata":{"seo":{"title":"Delete an order item data extension","description":"Deletes the data extension for an order item, including all the key-value pairs in the data extension."}},"httpPath":"/v2.1/orderItems/{orderItemRef}/extensions/{dataExtensionName}"},{"label":"Delete key-value pairs from an order item data extension","deprecated":false,"httpVerb":"delete","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/order-rest-api/order-item-data-extension/updateorderitemdataextension","routeSlug":"/cdp/order-rest-api/order-item-data-extension/updateorderitemdataextension","metadata":{"seo":{"title":"Delete key-value pairs from an order item data extension","description":"Deletes the key-value pairs you provide in the name query parameter from a data extension for an order item."}},"httpPath":"/v2.1/orderItems/{orderItemRef}/extensions/{dataExtensionName}/fields"},{"label":"Retrieve the URL for an order item's data extension","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/cdp/order-rest-api/order-item-data-extension/retrieveorderitemdataextensions","routeSlug":"/cdp/order-rest-api/order-item-data-extension/retrieveorderitemdataextensions","metadata":{"seo":{"title":"Retrieve the URL for an order item's data extension","description":"Retrieves the URL for the order item's data extension. This lets you check if the data extension exists."}},"httpPath":"/v2.1/orderItems/{orderItemRef}/extensions"}]}],"sidebar":[{"type":"link","label":"Order API","link":"/cdp/order-rest-api","routeSlug":"/cdp/order-rest-api"}]},{"type":"group","fsPath":"ch/audit-api","metadata":{"type":"openapi","title":"Audit API","version":"v1.0","description":"Use the Audit API to query and retrieve audit log entries so you can monitor system and user activities, ensure compliance and security, and search, filter, sort, or export audit data for further analysis. <br><br> This REST API lets you query, scroll through, and download the following audit logs: <i>Action audit logs</i> for system actions, executions, and operations. <i>Business audit logs</i> for entity lifecycle events and user activities. <i>Raw audit logs</i> for low-level system events and operational data. <i>Operational audit logs</i> for internal system operations. <i>Scripting audit logs</i> for script executions and automation events. <i>Trigger audit logs</i> for automated system triggers and workflows. You can also use the command line interface (CLI) and the tail command in particular to query logs. Authentication To use the Audit API, you need: The URL of your Content Hub server. You can get this from your Content Hub Administrator. Enter this URL in the <b>{{server}}</b> variable by hovering your mouse over the variable in the <b>Try it</b> pane and then clicking <b>Edit</b>. An access token and the client ID . Both are sent with every request. You can create a token through the Content Hub interface or by requesting one using the API itself .","product":"Content Hub"},"link":"/ch/audit-api","routeSlug":"/ch/audit-api","label":"Audit API","items":[{"type":"link","label":"Audit API","link":"/ch/audit-api","routeSlug":"/ch/audit-api"},{"type":"link","label":"Authentication","link":"/ch/audit-api/section/authentication","routeSlug":"/ch/audit-api/section/authentication"},{"type":"group","label":"Actions","link":"/ch/audit-api/actions","routeSlug":"/ch/audit-api/actions","items":[{"label":"Query action audit log entries","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ch/audit-api/actions/auditactionquery","routeSlug":"/ch/audit-api/actions/auditactionquery","metadata":{"seo":{"title":"Query action audit log entries","description":"Queries the action audit log for entries that match the specified filter and paging parameters. The maximum allowed value for the take parameter is 100."}},"httpPath":"/api/audit/action/query/{entityId}"},{"label":"Scroll through action audit log entries","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ch/audit-api/actions/auditactionscroll","routeSlug":"/ch/audit-api/actions/auditactionscroll","metadata":{"seo":{"title":"Scroll through action audit log entries","description":"Allows you to scroll through the action audit log in batches using the specified parameters. The maximum allowed value for the take or batchSize parameters is 100."}},"httpPath":"/api/audit/action/scroll/{entityId}"},{"label":"Request a download order for action audit log entries","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ch/audit-api/actions/auditactiongenerate","routeSlug":"/ch/audit-api/actions/auditactiongenerate","metadata":{"seo":{"title":"Request a download order for action audit log entries","description":"Creates a download order for action audit log entries."}},"httpPath":"/api/audit/action/generate"}]},{"type":"group","label":"Business","link":"/ch/audit-api/business","routeSlug":"/ch/audit-api/business","items":[{"label":"Query business audit log entries","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ch/audit-api/business/auditbusinessquery","routeSlug":"/ch/audit-api/business/auditbusinessquery","metadata":{"seo":{"title":"Query business audit log entries","description":"Queries the business audit log for entries that match the specified filter and paging parameters. The maximum allowed value for the take parameter is 100."}},"httpPath":"/api/audit/business/query/{entityId}"},{"label":"Scroll through business audit log entries","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ch/audit-api/business/auditbusinessscroll","routeSlug":"/ch/audit-api/business/auditbusinessscroll","metadata":{"seo":{"title":"Scroll through business audit log entries","description":"Allows you to scroll through the business audit log in batches using the specified parameters. The maximum allowed value for the take or batchSize parameters is 100."}},"httpPath":"/api/audit/business/scroll/{entityId}"},{"label":"Request a download order for business audit log entries","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ch/audit-api/business/auditbusinessgenerate","routeSlug":"/ch/audit-api/business/auditbusinessgenerate","metadata":{"seo":{"title":"Request a download order for business audit log entries","description":"Creates a download order for business audit log entries. By default, the number of rows that can be exported in a single audit log download order is 10,000. The maximum number is 500,000 rows. You can configure the maximum number in the Settings page. If this number is exceeded, use the timestamp from the last row in the exported file to create a new download order starting from this point. If you need to raise these limits, contact Sitecore Support.  "}},"httpPath":"/api/audit/business/generate"},{"label":"Aggregate business audit log entries","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ch/audit-api/business/auditbusinessaggregate","routeSlug":"/ch/audit-api/business/auditbusinessaggregate","metadata":{"seo":{"title":"Aggregate business audit log entries","description":"Aggregates business audit log entries using the specified parameters."}},"httpPath":"/api/audit/business/aggregate"}]},{"type":"group","label":"Raw","link":"/ch/audit-api/raw","routeSlug":"/ch/audit-api/raw","items":[{"label":"Query raw audit log entries","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ch/audit-api/raw/auditrawquery","routeSlug":"/ch/audit-api/raw/auditrawquery","metadata":{"seo":{"title":"Query raw audit log entries","description":"Queries the raw audit log for entries that match the specified filter and paging parameters. The maximum allowed value for the take parameter is 100."}},"httpPath":"/api/audit/raw/query/{entityId}"},{"label":"Scroll through raw audit log entries","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ch/audit-api/raw/auditrawscroll","routeSlug":"/ch/audit-api/raw/auditrawscroll","metadata":{"seo":{"title":"Scroll through raw audit log entries","description":"Allows you to scroll through the raw audit log in batches using the specified parameters. The maximum allowed value for the take or batchSize parameters is 100."}},"httpPath":"/api/audit/raw/scroll/{entityId}"},{"label":"Request a download order for raw audit log entries","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ch/audit-api/raw/auditrawgenerate","routeSlug":"/ch/audit-api/raw/auditrawgenerate","metadata":{"seo":{"title":"Request a download order for raw audit log entries","description":"Creates a download order for raw audit log entries. For nonbusiness audit types, only supported file formats are allowed.        By default, the number of rows that can be exported in a single audit log download order is 10,000. The maximum number is 500,000 rows. You can configure the maximum number in the Settings page. If this number is exceeded, use the timestamp from the last row in the exported file to create a new download order starting from this point. If you need to raise these limits, contact Sitecore Support.   "}},"httpPath":"/api/audit/raw/generate"}]},{"type":"group","label":"Operational","link":"/ch/audit-api/operational","routeSlug":"/ch/audit-api/operational","items":[{"label":"Query raw operational audit log entries","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ch/audit-api/operational/auditrawoperationalquery","routeSlug":"/ch/audit-api/operational/auditrawoperationalquery","metadata":{"seo":{"title":"Query raw operational audit log entries","description":"Queries the raw operational audit log for entries that match the specified filter and paging parameters. The maximum allowed value for the take parameter is 100.This endpoint is used exclusively for operational events, encompassing entity updates for M.Job, M.Target, M.JobDescription, M.Agent, and M.AgentActivity entities.\""}},"httpPath":"/api/audit/raw/operational/query/{entityId}"},{"label":"Scroll through raw operational audit log entries","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ch/audit-api/operational/auditrawoperationalscroll","routeSlug":"/ch/audit-api/operational/auditrawoperationalscroll","metadata":{"seo":{"title":"Scroll through raw operational audit log entries","description":"Allows you to scroll through the raw operational audit log in batches using the specified parameters. The maximum allowed value for the take or batchSize parameters is 100."}},"httpPath":"/api/audit/raw/operational/scroll/{entityId}"},{"label":"Request a download order for raw operational audit log entries","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ch/audit-api/operational/auditrawoperationalgenerate","routeSlug":"/ch/audit-api/operational/auditrawoperationalgenerate","metadata":{"seo":{"title":"Request a download order for raw operational audit log entries","description":"Creates a download order for raw operational audit log entries."}},"httpPath":"/api/audit/raw/operational/generate"}]},{"type":"group","label":"Scripting","link":"/ch/audit-api/scripting","routeSlug":"/ch/audit-api/scripting","items":[{"label":"Query scripting audit log entries","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ch/audit-api/scripting/auditscriptingquery","routeSlug":"/ch/audit-api/scripting/auditscriptingquery","metadata":{"seo":{"title":"Query scripting audit log entries","description":"Queries the scripting audit log for entries that match the specified filter and paging parameters. The maximum allowed value for the take parameter is 100."}},"httpPath":"/api/audit/scripting/query/{entityId}"},{"label":"Scroll through scripting audit log entries","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ch/audit-api/scripting/auditscriptingscroll","routeSlug":"/ch/audit-api/scripting/auditscriptingscroll","metadata":{"seo":{"title":"Scroll through scripting audit log entries","description":"Allows you to scroll through the scripting audit log in batches using the specified parameters. The maximum allowed value for the take or batchSize parameters is 100."}},"httpPath":"/api/audit/scripting/scroll/{entityId}"},{"label":"Requests a download order for scripting audit log entries","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ch/audit-api/scripting/auditscriptinggenerate","routeSlug":"/ch/audit-api/scripting/auditscriptinggenerate","metadata":{"seo":{"title":"Requests a download order for scripting audit log entries","description":"This endpoint creates a download order for scripting audit log entries based on the specified parameters."}},"httpPath":"/api/audit/scripting/generate"}]},{"type":"group","label":"Triggers","link":"/ch/audit-api/triggers","routeSlug":"/ch/audit-api/triggers","items":[{"label":"Query trigger audit log entries","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ch/audit-api/triggers/audittriggerquery","routeSlug":"/ch/audit-api/triggers/audittriggerquery","metadata":{"seo":{"title":"Query trigger audit log entries","description":"Queries the trigger audit log for entries that match the specified filter and paging parameters. The maximum allowed value for the take parameter is 100."}},"httpPath":"/api/audit/trigger/query/{entityId}"},{"label":"Scroll through trigger audit log entries","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ch/audit-api/triggers/audittriggerscroll","routeSlug":"/ch/audit-api/triggers/audittriggerscroll","metadata":{"seo":{"title":"Scroll through trigger audit log entries","description":"Allows you to scroll through the trigger audit log in batches using the specified parameters. The maximum allowed value for the take or batchSize parameters is 100."}},"httpPath":"/api/audit/trigger/scroll/{entityId}"},{"label":"Requests a download order for trigger audit log entries","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ch/audit-api/triggers/audittriggergenerate","routeSlug":"/ch/audit-api/triggers/audittriggergenerate","metadata":{"seo":{"title":"Requests a download order for trigger audit log entries","description":"Creates a download order for trigger audit log entries based on the specified parameters."}},"httpPath":"/api/audit/trigger/generate"}]}],"sidebar":[{"type":"link","label":"Audit API","link":"/ch/audit-api","routeSlug":"/ch/audit-api"}]},{"type":"group","fsPath":"ch/cache-api","metadata":{"type":"openapi","title":"Cache API","version":"v1.0","description":"Use the Cache API to clear your caches. A cache temporarily stores active data, such as web pages, text, and images, in a  dedicated local folder to accelerate access times and enhance overall performance. Content Hub uses various caches . When you clear a cache, Content Hub rebuilds it using data from the database, which might result in a slight dip in performance for anyone using Content Hub at that time. Authentication To use this API, you need: The URL of your Content Hub server. You can get this from your Content Hub  Administrator. Enter this URL in the <b>{{server}}</b> variable by hovering your mouse  over the variable in the <b>Try it</b> pane and then clicking <b>Edit</b>. An access token and the client ID. Both are sent with every request. You  can create a token through the Content Hub  interface  or by requesting one using the API  itself","product":"Content Hub"},"link":"/ch/cache-api","routeSlug":"/ch/cache-api","label":"Cache API","items":[{"type":"link","label":"Cache API","link":"/ch/cache-api","routeSlug":"/ch/cache-api"},{"type":"link","label":"Authentication","link":"/ch/cache-api/section/authentication","routeSlug":"/ch/cache-api/section/authentication"},{"type":"group","label":"Cache","link":"/ch/cache-api/cache","routeSlug":"/ch/cache-api/cache","items":[{"label":"Clear the cache","deprecated":false,"httpVerb":"delete","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ch/cache-api/cache/cache","routeSlug":"/ch/cache-api/cache/cache","metadata":{"seo":{"title":"Clear the cache","description":"Clears a specific cache using the cache name or clears all caches when the name is defined as all. We strongly recommend that you do not clear your caches during periods of high system load. This can temporarily degrade performance and increase response times for some users."}},"httpPath":"/api/cache/{name}"}]}],"sidebar":[{"type":"link","label":"Cache API","link":"/ch/cache-api","routeSlug":"/ch/cache-api"}]},{"type":"group","fsPath":"ch/download-orders-api","metadata":{"type":"openapi","title":"Download orders API","version":"v1.0","description":"Use the Download orders API to create and retrieve download orders. A download order is a compressed file that contains media files, such as images, vectors, or videos. Authentication To use the Download orders API, you need: The URL of your Content Hub server. You can get this from your Content Hub Administrator. Enter this URL in the <b>{{server}}</b> variable by hovering your mouse  over the variable in the <b>Try it</b> pane and then clicking <b>Edit</b>. An access token and the client ID. Both are sent with every request. You can create a token through the Content Hub interface or by requesting one using the API itself","product":"Content Hub"},"link":"/ch/download-orders-api","routeSlug":"/ch/download-orders-api","label":"Download orders API","items":[{"type":"link","label":"Download orders API","link":"/ch/download-orders-api","routeSlug":"/ch/download-orders-api"},{"type":"link","label":"Authentication","link":"/ch/download-orders-api/section/authentication","routeSlug":"/ch/download-orders-api/section/authentication"},{"type":"group","label":"Download orders","link":"/ch/download-orders-api/download-orders","routeSlug":"/ch/download-orders-api/download-orders","items":[{"label":"Retrieve a download order with a specific ID","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ch/download-orders-api/download-orders/downloadordersbyid","routeSlug":"/ch/download-orders-api/download-orders/downloadordersbyid","metadata":{"seo":{"title":"Retrieve a download order with a specific ID","description":"Retrieves a download order with a specific ID along with download details, such as the target count, whether the order has conversions, who created the order and when, as well as the download status."}},"httpPath":"/api/downloadorders/{id}"},{"label":"Retrieve multiple download orders","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ch/download-orders-api/download-orders/downloadorders","routeSlug":"/ch/download-orders-api/download-orders/downloadorders","metadata":{"seo":{"title":"Retrieve multiple download orders","description":"Lists the download orders that the current user has access to."}},"httpPath":"/api/downloadorders"},{"label":"Create a download order","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ch/download-orders-api/download-orders/adddownloadorders","routeSlug":"/ch/download-orders-api/download-orders/adddownloadorders","metadata":{"seo":{"title":"Create a download order","description":"Creates a download order for the specified assets using the defined download options."}},"httpPath":"/api/downloadorders"},{"label":"Retrieve a download order target","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ch/download-orders-api/download-orders/downloadordertargetsbyentityid","routeSlug":"/ch/download-orders-api/download-orders/downloadordertargetsbyentityid","metadata":{"seo":{"title":"Retrieve a download order target","description":"Retrieves a download order for the specified order and target ID."}},"httpPath":"/api/downloadorders/{orderId}/targets/{entityId}"},{"label":"Retrieve the download order targets","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ch/download-orders-api/download-orders/downloadordertargets","routeSlug":"/ch/download-orders-api/download-orders/downloadordertargets","metadata":{"seo":{"title":"Retrieve the download order targets","description":"Retrieves the download order targets for the specified order ID."}},"httpPath":"/api/downloadorders/{orderId}/targets"}]}],"sidebar":[{"type":"link","label":"Download orders API","link":"/ch/download-orders-api","routeSlug":"/ch/download-orders-api"}]},{"type":"group","fsPath":"ch/entities-api/@v2.0","metadata":{"type":"openapi","title":"Entities API","version":"v2.0","description":"Use the Entities API to retrieve, create, update, and delete entities. An entity is a set of data that belongs together (such as for a product, campaign, project, story, recipe, or asset). Authentication To use the Entities API, you need: The URL of your Content Hub server. You can get this from your Content Hub Administrator. Enter this URL in the <b>{{server}}</b> variable by hovering your mouse  over the variable in the <b>Try it</b> pane and then clicking <b>Edit</b>. An access token and the client ID. Both are sent with every request. You can create a token through the Content Hub interface or by requesting one using the API itself  A Copy method is also available.","product":"Content Hub"},"link":"/ch/entities-api","routeSlug":"/ch/entities-api","label":"Entities API","version":"v2.0","isDefault":true,"versionFolderId":"1fb679b7","items":[{"type":"link","label":"Entities API","link":"/ch/entities-api","routeSlug":"/ch/entities-api","version":"v2.0","isDefault":true,"versionFolderId":"1fb679b7"},{"type":"link","label":"Authentication","link":"/ch/entities-api/section/authentication","routeSlug":"/ch/entities-api/section/authentication","version":"v2.0","isDefault":true,"versionFolderId":"1fb679b7"},{"type":"group","label":"Entities","link":"/ch/entities-api/entities","routeSlug":"/ch/entities-api/entities","items":[{"label":"Retrieve an entity using its ID","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ch/entities-api/entities/entitybyid","routeSlug":"/ch/entities-api/entities/entitybyid","metadata":{"seo":{"title":"Retrieve an entity using its ID","description":"Retrieves an entity using its ID and loads related data, including entity properties, member groups, renditions, permissions, and so on. You can also specify cultures for multi-language support."}},"httpPath":"/api/entities/{id}","version":"v2.0","isDefault":true,"versionFolderId":"1fb679b7"},{"label":"Update an entity using its ID","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ch/entities-api/entities/updateentity","routeSlug":"/ch/entities-api/entities/updateentity","metadata":{"seo":{"title":"Update an entity using its ID","description":"Updates an entity with the new details provided, including properties, relations, associated members and groups, and so on. Properties or relations not included in the request will be set to null."}},"httpPath":"/api/entities/{id}","version":"v2.0","isDefault":true,"versionFolderId":"1fb679b7"},{"label":"Delete an entity using its ID","deprecated":false,"httpVerb":"delete","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ch/entities-api/entities/deleteentity","routeSlug":"/ch/entities-api/entities/deleteentity","metadata":{"seo":{"title":"Delete an entity using its ID","description":"Deletes an entity with the specified ID."}},"httpPath":"/api/entities/{id}","version":"v2.0","isDefault":true,"versionFolderId":"1fb679b7"},{"label":"Retrieve an entity using its identifier","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ch/entities-api/entities/entitybyidentifier","routeSlug":"/ch/entities-api/entities/entitybyidentifier","metadata":{"seo":{"title":"Retrieve an entity using its identifier","description":"Retrieves an entity with the specified identifier, including related data such as properties, member groups, renditions, permissions, and so on."}},"httpPath":"/api/entities/identifier/{identifier}","version":"v2.0","isDefault":true,"versionFolderId":"1fb679b7"},{"label":"Update an entity using its identifier","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ch/entities-api/entities/updateentitybyidentifier","routeSlug":"/ch/entities-api/entities/updateentitybyidentifier","metadata":{"seo":{"title":"Update an entity using its identifier","description":"Updates an entity with the new details provided, including properties, relations, associated members and groups, and so on. Properties or relations not included in the request will be set to null."}},"httpPath":"/api/entities/identifier/{identifier}","version":"v2.0","isDefault":true,"versionFolderId":"1fb679b7"},{"label":"Delete an entity using its identifier","deprecated":false,"httpVerb":"delete","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ch/entities-api/entities/deleteentitybyidentifier","routeSlug":"/ch/entities-api/entities/deleteentitybyidentifier","metadata":{"seo":{"title":"Delete an entity using its identifier","description":"Deletes an entity with the specified identifier."}},"httpPath":"/api/entities/identifier/{identifier}","version":"v2.0","isDefault":true,"versionFolderId":"1fb679b7"},{"label":"Retrieve a list of all entities for a specific entity definition","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ch/entities-api/entities/entitiesbydefinition","routeSlug":"/ch/entities-api/entities/entitiesbydefinition","metadata":{"seo":{"title":"Retrieve a list of all entities for a specific entity definition","description":"Lists all entities for the specified entity definition."}},"httpPath":"/api/entitydefinitions/{name}/entities","version":"v2.0","isDefault":true,"versionFolderId":"1fb679b7"},{"label":"Create an entity","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ch/entities-api/entities/addentity","routeSlug":"/ch/entities-api/entities/addentity","metadata":{"seo":{"title":"Create an entity","description":"Creates an entity with the specified details, including associated members and groups. The link to the associated Entity Definition Resource is required. The self property is ignored and can be omitted.   If the request body contains an id, the request is treated as a possible UPSERT. If the id is omitted and only an identifier is provided, the request returns a conflict instead of updating the existing entity. The request then checks for the existence of the entity and if the response is positive, it updates the entity based on the provided body elements. When an id is present, the header contains the same Location property as with a normal POST response. When an identifier is used, the header contains an X-Global-Identifier property with the updated identifier as its value.   Use the Upload API to upload assets to Content Hub. It is not possible to set relations while creating an entity unless the relations are nested. Additionally, this functionality is available only through the REST API and not through the Web Client SDK. For non-nested relations one call is made for each relation that is updated. "}},"httpPath":"/api/entities","version":"v2.0","isDefault":true,"versionFolderId":"1fb679b7"},{"label":"Retrieve renditions for a specified entity","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ch/entities-api/entities/getrenditionsv2","routeSlug":"/ch/entities-api/entities/getrenditionsv2","metadata":{"seo":{"title":"Retrieve renditions for a specified entity","description":"Retrieves information about all renditions that exist for a specified entity, including their gateway links and delivery links."}},"httpPath":"/api/entities/{entityId}/v2.0/renditions","version":"v2.0","isDefault":true,"versionFolderId":"1fb679b7"},{"label":"Retrieve renditions for a specified entity","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ch/entities-api/entities/getfilteredrenditionsv2","routeSlug":"/ch/entities-api/entities/getfilteredrenditionsv2","metadata":{"seo":{"title":"Retrieve renditions for a specified entity","description":"Retrieves information about renditions that exist for a specified entity, including their gateway links and delivery links. Renditions can be filtered by area of use or by their rendition link name, or both."}},"httpPath":"/api/entities/{entityId}/v2.0/renditions","version":"v2.0","isDefault":true,"versionFolderId":"1fb679b7"},{"label":"Retrieve the count of user renditions for a specified entity","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ch/entities-api/entities/getuserrenditioncountv2","routeSlug":"/ch/entities-api/entities/getuserrenditioncountv2","metadata":{"seo":{"title":"Retrieve the count of user renditions for a specified entity","description":"Retrieves the count of user renditions for a specified entity."}},"httpPath":"/api/entities/{entityId}/v2.0/renditions/GetUserRenditionsCount","version":"v2.0","isDefault":true,"versionFolderId":"1fb679b7"}],"version":"v2.0","isDefault":true,"versionFolderId":"1fb679b7"},{"type":"group","label":"Lifecycle","link":"/ch/entities-api/lifecycle","routeSlug":"/ch/entities-api/lifecycle","items":[{"label":"Retrieve lifecycle actions","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ch/entities-api/lifecycle/entitylifecycle","routeSlug":"/ch/entities-api/lifecycle/entitylifecycle","metadata":{"seo":{"title":"Retrieve lifecycle actions","description":"Retrieves the lifecycle actions that are available for the entity based on its permissions (independent of its current state). For example, if a user is allowed to submit an entity, the submit action will be returned in the list, even if  the entity has already been approved."}},"httpPath":"/api/entities/{id}/lifecycle","version":"v2.0","isDefault":true,"versionFolderId":"1fb679b7"},{"label":"Submit an entity for review","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ch/entities-api/lifecycle/submitentity","routeSlug":"/ch/entities-api/lifecycle/submitentity","metadata":{"seo":{"title":"Submit an entity for review","description":"Submits an entity in the created state for review allowing the user to approve or reject it. Requires the Submit permission."}},"httpPath":"/api/entities/{id}/lifecycle/submit","version":"v2.0","isDefault":true,"versionFolderId":"1fb679b7"},{"label":"Publish an entity directly","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ch/entities-api/lifecycle/directpublishentity","routeSlug":"/ch/entities-api/lifecycle/directpublishentity","metadata":{"seo":{"title":"Publish an entity directly","description":"Publishes an entity with the created state directly, without going through the approval process. Requires the DirectPublish permission."}},"httpPath":"/api/entities/{id}/lifecycle/directpublish","version":"v2.0","isDefault":true,"versionFolderId":"1fb679b7"},{"label":"Approve an entity","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ch/entities-api/lifecycle/approveentity","routeSlug":"/ch/entities-api/lifecycle/approveentity","metadata":{"seo":{"title":"Approve an entity","description":"Approves an entity in the review state. Requires the Approve permission."}},"httpPath":"/api/entities/{id}/lifecycle/approve","version":"v2.0","isDefault":true,"versionFolderId":"1fb679b7"},{"label":"Reject an entity","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/ch/entities-api/lifecycle/rejectentity","routeSlug":"/ch/entities-api/lifecycle/rejectentity","metadata":{"seo":{"title":"Reject an entity","description":"Rejects an entity in the review state. A reason for the rejection must be provided. Requires the Reject permission."
[...]
